Subject: b19.1 memory leak with file handles
From: [email-masked] (Marius van Wyk)

7 Apr 1998 12:54:44 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

I have noticed that one of my ported apps grows in size when left alone for a
long time, this did not happen in the original unix machine. I finally tracked
it down to this snippit (there are some variations, and they all have the same
problem)

-snip-

// This will eat about 64k every 5 seconds
void main() {
  while(1) {
    int fd=open("/tmp",O_RDONLY);
    close(fd);
  }
}

-snip-

The same happens with fopen/fclose, as well as with the fstat() fnuction call.
They are all logically similar on a lower level.
It loses aprox 16 bytes per open/close (NT's Task Manager tells me this)

As far as I can tell, it was present in b18 using NT4 sp3 too.

Otherwise the stuff works fine.
Great job guys.

bye,
marius.

-----`-,-@
marius van wyk.         [email-masked]         tel: +27 (83) 274 7855
notice: My email is spam-protected, so please add the word "antispam" to
  the subject field the first time you send to me.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".